﻿@model Xtoman.Domain.WebServices.Payment.Vandar.VandarBusinessTransactionData
@{
    ViewBag.Title = "لیست تراکنش ها";
}

<div class="row">
    <div class="col-lg-12">
        <div class="card card-box">
            <div class="card-header">
                <div class="row">
                    <div class="col-12">
                        <ul class="list-unstyled list-inline">
                            <li class="list-inline-item pull-left">تعداد کل: @Model.Total</li>
                            @if (Model.LastPage != 1)
                            {
                                <li class="list-inline-item pull-right">
                                    @if (Model.CurrentPage == 1)
                                    {
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Transaction", new { page = (Model.CurrentPage + 1), psize = Model.PerPage })">صفحه بعد <i class="fa fa-angle-left"></i></a>
                                    }
                                    else if (Model.CurrentPage == Model.LastPage)
                                    {
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Transaction", new { page = (Model.CurrentPage - 1), psize = Model.PerPage })"><i class="fa fa-angle-right"></i> صفحه قبل</a>
                                    }
                                    else
                                    {
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Transaction", new { page = (Model.CurrentPage - 1), psize = Model.PerPage })"><i class="fa fa-angle-right"></i> صفحه قبل</a>
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Transaction", new { page = (Model.CurrentPage + 1), psize = Model.PerPage })">صفحه بعد <i class="fa fa-angle-left"></i></a>
                                    }
                                </li>
                            }
                            <li class="list-inline-item pull-right">صفحه @Model.CurrentPage از @Model.LastPage</li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="table table-responsive">
                    <table class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>ردیف</th>
                                <td>وضعیت</td>
                                <td>سفارش</td>
                                <td>نوع</td>
                                <td>مبلغ</td>
                                <td>کارمزد</td>
                                <td>موجودی جدید</td>
                                <td>تاریخ ایجاد</td>
                                <td>
                                    عملیات
                                </td>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model.Data)
                            {
                                <tr>
                                    <td>@item.Id</td>
                                    <td>
                                        @switch (item.StatusEnum)
                                        {
                                            case Xtoman.Domain.WebServices.Payment.Vandar.VandarTransactionStatus.Unsuccessful:
                                                <span class="badge badge-danger">ناموفق</span>
                                                break;
                                            case Xtoman.Domain.WebServices.Payment.Vandar.VandarTransactionStatus.Successful:
                                            case Xtoman.Domain.WebServices.Payment.Vandar.VandarTransactionStatus.Done:
                                                <span class="badge badge-@(item.Channel.Equals("کنسلی تسویه") ? "purple": "success")">موفق</span>
                                                break;
                                            case Xtoman.Domain.WebServices.Payment.Vandar.VandarTransactionStatus.Pending:
                                                <span class="badge badge-warning">در حال انتظار</span>
                                                break;
                                            case Xtoman.Domain.WebServices.Payment.Vandar.VandarTransactionStatus.Canceled:
                                                <span class="badge badge-danger">لغو شده</span>
                                                break;
                                            default:
                                                <span class="badge badge-purple">نامشخص</span>
                                                break;
                                        }
                                    </td>
                                    <td>
                                        @if (item.FactorNumber.HasValue())
                                        {
                                            <a href="@Url.Action("Details", "ExchangeOrder", new { id = item.FactorNumber })" target="_blank">@item.FactorNumber</a>
                                        }
                                        else
                                        {
                                            if (item.Channel.Equals("فرم دریافت پول"))
                                            {
                                                <span>@item.FormTitle | @item.Payer.Description</span>
                                            }
                                            else
                                            {
                                                <span>-</span>
                                            }
                                        }
                                    </td>
                                    <td>@item.Channel</td>
                                    <td>@item.Amount.ToPriceWithoutFloat() تومان</td>
                                    <td>@item.Wage.ToPriceWithoutFloat() تومان</td>
                                    <td>@item.Wallet.ToPriceWithoutFloat() تومان</td>
                                    <td>@item.CreatedAt</td>
                                    <td>
                                        <button type="button" class="btn" data-toggle="collapse" data-target="#collapse-@item.Id">
                                            <i class="fa fa-search-plus"></i>
                                        </button>
                                    </td>
                                </tr>
                                <tr class="collapse out" id="collapse-@item.Id">
                                    <td colspan="8">
                                        <div class="row">
                                            <div class="col-12">
                                                <h5>جزئیات</h5>
                                                <div class="table">
                                                    <table class="table-responsive">
                                                        @if (item.CardNumber.HasValue())
                                                        {
                                                            <tr>
                                                                <th>شماره کارت</th>
                                                                <td>@item.CardNumber</td>
                                                            </tr>
                                                        }
                                                        @if (item.Payer != null)
                                                        {
                                                            if (item.Payer.Ip.HasValue())
                                                            {
                                                                <tr>
                                                                    <th>IP</th>
                                                                    <td>@item.Payer.Ip</td>
                                                                </tr>
                                                            }
                                                            if (item.Payer.Mobile.HasValue())
                                                            {
                                                                <tr>
                                                                    <th>موبایل</th>
                                                                    <td>@item.Payer.Mobile</td>
                                                                </tr>
                                                            }
                                                        }
                                                        @if (item.CallbackUrl.HasValue())
                                                        {
                                                            <tr>
                                                                <th>آدرس بازگشت</th>
                                                                <td>@item.CallbackUrl</td>
                                                            </tr>
                                                        }
                                                        @if (item.RefId.HasValue())
                                                        {
                                                            <tr>
                                                                <th>کد رفرنس</th>
                                                                <td>@item.RefId</td>
                                                            </tr>
                                                        }
                                                        @if (item.Cid.HasValue())
                                                        {
                                                            <tr>
                                                                <th>CId</th>
                                                                <td>@item.Cid</td>
                                                            </tr>
                                                        }

                                                        @if (item.Channel.Equals("پرداخت اینترنتی"))
                                                        {
                                                            <tr>
                                                                <th>تایید شده</th>
                                                                <td>
                                                                    @if (item.Verified == 0)
                                                                    {
                                                                        <span>خیر</span>
                                                                    }
                                                                    else
                                                                    {
                                                                        <span>بله</span>
                                                                    }
                                                                </td>
                                                            </tr>
                                                        }

                                                        <tr>
                                                            <th>موجودی جدید</th>
                                                            <td>@item.Wallet.ToPriceWithoutFloat() تومان</td>
                                                        </tr>

                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="card-footer">
                <div class="row">
                    <div class="col-12">
                        <ul class="list-unstyled list-inline">
                            <li class="list-inline-item pull-left">تعداد کل: @Model.Total</li>
                            @if (Model.LastPage != 1)
                            {
                                <li class="list-inline-item pull-right">
                                    @if (Model.CurrentPage == 1)
                                    {
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Transaction", new { page = (Model.CurrentPage + 1), psize = Model.PerPage })">صفحه بعد <i class="fa fa-angle-left"></i></a>
                                    }
                                    else if (Model.CurrentPage == Model.LastPage)
                                    {
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Transaction", new { page = (Model.CurrentPage - 1), psize = Model.PerPage })"><i class="fa fa-angle-right"></i> صفحه قبل</a>
                                    }
                                    else
                                    {
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Transaction", new { page = (Model.CurrentPage - 1), psize = Model.PerPage })"><i class="fa fa-angle-right"></i> صفحه قبل</a>
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Transaction", new { page = (Model.CurrentPage + 1), psize = Model.PerPage })">صفحه بعد <i class="fa fa-angle-left"></i></a>
                                    }
                                </li>
                            }
                            <li class="list-inline-item pull-right">صفحه @Model.CurrentPage از @Model.LastPage</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>